summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Philip Lacroix <philnx at posteo dot de>2015-02-12 00:06:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-12 00:06:41 +0700
commit93521708168ca8b399f390eddcc56dcdf45e1a00 (patch)
treece653ad48a888407cc724d7068a0eef1eb731f43 /libraries
parent0267bdbac094ff5a7baee00cf56487113e6c05d2 (diff)
downloadslackbuilds-93521708168ca8b399f390eddcc56dcdf45e1a00.tar.gz
slackbuilds-93521708168ca8b399f390eddcc56dcdf45e1a00.tar.xz
libraries/libunicapgtk: Added (GTK Widget).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libunicapgtk/README5
-rw-r--r--libraries/libunicapgtk/libunicapgtk.SlackBuild99
-rw-r--r--libraries/libunicapgtk/libunicapgtk.info10
-rw-r--r--libraries/libunicapgtk/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/libunicapgtk/README b/libraries/libunicapgtk/README
new file mode 100644
index 0000000000..b149205e70
--- /dev/null
+++ b/libraries/libunicapgtk/README
@@ -0,0 +1,5 @@
+unicap provides a uniform interface to video capture devices. It allows
+applications to use any supported video capture device via a single API.
+
+Building applications with a graphical user interface is made especially
+easy with the unicapgtk widget set.
diff --git a/libraries/libunicapgtk/libunicapgtk.SlackBuild b/libraries/libunicapgtk/libunicapgtk.SlackBuild
new file mode 100644
index 0000000000..1dc3f822dc
--- /dev/null
+++ b/libraries/libunicapgtk/libunicapgtk.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for libunicapgtk
+
+# Copyright 2015 Philip Lacroix <philnx at posteo dot de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libunicapgtk
+VERSION=${VERSION:-0.9.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PRGSHR=$PKG/usr/share
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PRGDOC
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README $PRGDOC/
+cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild
+
+# Remove empty doc-gtk documentation.
+rm -r $PRGSHR/gtk-doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libunicapgtk/libunicapgtk.info b/libraries/libunicapgtk/libunicapgtk.info
new file mode 100644
index 0000000000..2d87cff76d
--- /dev/null
+++ b/libraries/libunicapgtk/libunicapgtk.info
@@ -0,0 +1,10 @@
+PRGNAM="libunicapgtk"
+VERSION="0.9.8"
+HOMEPAGE="http://unicap-imaging.org/"
+DOWNLOAD="http://unicap-imaging.org/downloads/libunicapgtk-0.9.8.tar.gz"
+MD5SUM="e68aac64ebf1c8149f9b8009ab855dd0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libucil"
+MAINTAINER="Philip Lacroix"
+EMAIL="philnx at posteo dot de"
diff --git a/libraries/libunicapgtk/slack-desc b/libraries/libunicapgtk/slack-desc
new file mode 100644
index 0000000000..b2dd980a8f
--- /dev/null
+++ b/libraries/libunicapgtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libunicapgtk: libunicapgtk (a GTK widget set from the unicap project)
+libunicapgtk:
+libunicapgtk: unicap provides a uniform interface to video capture devices.
+libunicapgtk: It allows applications to use any supported video capture device
+libunicapgtk: via a single API.
+libunicapgtk:
+libunicapgtk: Building applications with a graphical user interface is made
+libunicapgtk: especially easy with the unicapgtk widget set.
+libunicapgtk:
+libunicapgtk: Homepage: http://unicap-imaging.org
+libunicapgtk: